# WOK
TKWOK
WOKBuilder

# WOKBuilder_WNTLibrarian Class Reference

defines link tool ( library manager )

`#include <WOKBuilder_WNTLibrarian.hxx>`

Inheritance diagram for WOKBuilder_WNTLibrarian:

[legend]

## Public Member Functions

Standard_EXPORT Handle_TCollection_HAsciiString | EvalCFExt ()
| evaluates extension for name of the command file
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKBuilder_WNTLibrarian (const Handle(TCollection_HAsciiString)&aName, const WOKUtils_Param &aParams)
| initialization

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_WNTLibrarian::WOKBuilder_WNTLibrarian | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const WOKUtils_Param & | aParams
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_WNTLibrarian::EvalCFExt | ( |  | ) | `[virtual]`

| Implements WOKBuilder_WNTCollector.

Standard_EXPORT const WOKBuilder_WNTLibrarian::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_WNTCollector. Reimplemented in WOKBuilder_ImportLibrarian, and WOKBuilder_StaticLibrarian.

The documentation for this class was generated from the following file:

- WOKBuilder_WNTLibrarian.hxx